# Summary

- [High level view](./high_level.md)
- [Architecture: Modules](./architecture.md)
    - [Programming Style](./paradigms.md)
    - [Events](./events.md)
    - [Database](./database.md)
    - [Cache](./cache.md)
    - [Routes and Controllers](./routes_and_controllers.md)
    - [Templates](./templates.md)
    - [Internationalization](./internationalization.md)
    - [Log](./log.md)
    - [Queues](./queues.md)
    - [Files](./files.md)
    - [Security](./security.md)
    - [HTTP](./http.md)
- [Plugins](./plugins.md)
    - [Configuration](./plugins/configuration.md)
    - [Initialization and Clean Up](./plugins/lifetime.md)
- [Sample Plugins](./sample_plugins.md)
    - [Injecting Javascript](plugins/sample_plugins/Awesomeness.md)
    - [Creating a block on the sidebar](plugins/sample_plugins/Sample.md)
- [Components](./components.md)
